> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get brain generation settings

> Read the customer-editable generation config for the authenticated app.



## OpenAPI

````yaml https://api.hyperspell.com/openapi.json get /context-documents/config
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security: []
paths:
  /context-documents/config:
    get:
      tags:
        - Context Documents
      summary: Get brain generation settings
      description: Read the customer-editable generation config for the authenticated app.
      operationId: get_brain_config_context_documents_config_get
      parameters:
        - name: X-As-User
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Optionally set this header to act as a specific user when using an
              API Key, equivalent to first exchanging the API Key for a User
              Token
            title: X-As-User
          description: >-
            Optionally set this header to act as a specific user when using an
            API Key, equivalent to first exchanging the API Key for a User Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrainConfigView'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
components:
  schemas:
    BrainConfigView:
      properties:
        structure:
          additionalProperties: true
          type: object
          title: Structure
        prompts:
          additionalProperties: true
          type: object
          title: Prompts
        source_weights:
          additionalProperties:
            type: string
          type: object
          title: Source Weights
        domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Domain
        detected_domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Detected Domain
      type: object
      required:
        - structure
        - prompts
        - source_weights
      title: BrainConfigView
      description: Brain-generation settings that customers can view and edit.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>

````